# Handle the incoming configuration files:
config() {
  for infile in $1; do
    NEW="$infile"
    OLD="$(dirname $NEW)/$(basename $NEW .new)"
    # If there's no config file by that name, mv it over:
    if [ ! -r $OLD ]; then
      mv $NEW $OLD
    elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
      # toss the redundant copy
      rm $NEW
    fi
    # Otherwise, we leave the .new copy for the admin to consider...
  done
}
config etc/softhsm2.conf.new

( cd usr/lib64 ; rm -rf libsofthsm2.so )
( cd usr/lib64 ; ln -sf pkcs11/libsofthsm2.so libsofthsm2.so )
( cd usr/lib64/softhsm ; rm -rf libsofthsm2.so )
( cd usr/lib64/softhsm ; ln -sf ../pkcs11/libsofthsm2.so libsofthsm2.so )
